function [index log_l] = GibbsIsing(X,Y,A,i,l)
%%Performs one iteration of the Gibbs Sampler
%%X=loading matrix;
%%Y=dependent variables
%%A=adjacency vector;
%%i=current node
%%l=previous log_posterior
%%index=the chosen value for A(i)
%% log_l = new log_posterior

% A1=A;
% A0=A;

% A1(i)=1;
% A0(i)=0;
% %c=A1==1
% X1=X(A1==1,:);
% X0=X(A0==1,:);
% l1=BayesLRIsing(X1,Y,0.1);
% l0=BayesLRIsing(X0,Y,0.1);
% pl1=exp(l1);
% pl0=exp(l0);
log_l=0;
A1=A;

index=0;
if(A(i)==1)
    A1(i)=0;
    X1=X(A1==1,:);
    l1=BayesLRIsing(X1,Y,0.1,length(A1));
    %[l1 l]
    index=sample([l1 l]);
else
    A1(i)=1;
    X1=X(A1==1,:);
    l1=BayesLRIsing(X1,Y,0.1,length(A1));
    %[l1 l]
    index=sample([l l1]);

end
 index=index-1;   
if index==A(i)
    log_l=l;
else
    log_l=l1;
end

end

