function [G] = createInitialGraph1(size,indegree)
%UNTITLED2 Creates a random graph of given size and upper bounds on indegree.  
%The size parameter determines the size of the graph and indegree parameter
% determines the upperbounds on indegree parameters.
G=[];
if indegree==size
    thres=rand();
    G=rand(size,size)<thres;

else if indegree<size
        for i=1:size
            r=rand(1,size);
            r1=sort(r,'descend');
            row=(r>=r1(indegree+1)+(1-r1(indegree+1))*rand());
            G=[G;row];
        end
    else G=[];
    end
end
for i=1:size
    G(i,i)=0;
end
deg=sum(G');
l=find(deg==0);
if ~isempty(l)
    for i=1:length(l)
        m=1:size;
        m=setdiff(m,l(i));
        G(l(i),m(ceil(rand*(size-1))))=1;
    end
end
end

